#ifndef BUZZER_H
#define BUZZER_H

#include "wave.h"

#ifdef __cplusplus
extern "C"
{
#endif

#define BUZZER_COUNT 2

extern wave_t buzzer_pin[BUZZER_COUNT];

void buzzer_init(wave_t _pos, wave_t _neg);

void buzzer_tone(uint16_t _freq0, uint16_t _freq1);

void buzzer_off();

#ifdef __cplusplus
}
#endif

#endif