#ifndef LED_H
#define LED_H

#include <stdint.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C"
{
#endif

#define LED_COUNT 4

void led_init();

typedef enum
{
    LED_RED    = 0,
    LED_YELLOW = 1,
    LED_GREEN  = 2,
    LED_BLUE   = 3,
} led_t;

#define LED_OFF 0
#define LED_ON  1

void led_set(led_t _which, bool _on);

void led_flip(led_t _which);

void led_on();

void led_off();

#ifdef __cplusplus
}
#endif

#endif