#ifndef ROTARY_H
#define ROTARY_H

#include <stdint.h>

#include "pin.h"

#ifdef __cplusplus
extern "C"
{
#endif

typedef enum
{
    ROTARY_NONE = 0,
    ROTARY_CW   = 1,
    ROTARY_ACW  = 2
} rotary_event_t;

extern pin_t rotary_pin[2];

void rotary_init(pin_t _pina, pin_t _pinb);

uint8_t rotary_status();

rotary_event_t rotary_rotated();

#ifdef __cplusplus
}
#endif

#endif