#ifndef SWITCH_H
#define SWITCH_H

#include <stdint.h>
#include <stdbool.h>

#include "pin.h"

#ifdef __cplusplus
extern "C"
{
#endif

#define SWITCH_COUNT 4

typedef enum
{
    SWITCH_0 = 0,
    SWITCH_1 = 1,
    SWITCH_2 = 2,
    SWITCH_3 = 3,
} switch_t;

extern pin_t switch_pin[SWITCH_COUNT];

void switch_init(pin_t _switch2, pin_t _switch3);

bool switch_status(switch_t _which);

bool switch_changed(switch_t _which);

#ifdef __cplusplus
}
#endif

#endif