#ifndef BUTTON_H
#define BUTTON_H

#include <stdint.h>
#include <stdbool.h>

#include "pin.h"

#ifdef __cplusplus
extern "C"
{
#endif

#define BUTTON_COUNT 4

typedef enum
{
    BUTTON_0 = 0,
    BUTTON_1 = 1,
    BUTTON_2 = 2,
    BUTTON_3 = 3,
} button_t;

extern pin_t button_pin[BUTTON_COUNT];

void button_init(pin_t _button2, pin_t _button3);

bool button_down(button_t _which);

bool button_pressed(button_t _which);

#ifdef __cplusplus
}
#endif

#endif